Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants Class Reference

This class contains constants used for deflation. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants:
[legend]

## Static Public Attributes
const bool | DEBUGGING = false
| Set to true to enable debugging.
const int | STORED_BLOCK = 0
| Written to Zip file to identify a stored block.
const int | STATIC_TREES = 1
| Identifies static tree in Zip file.
const int | DYN_TREES = 2
| Identifies dynamic tree in Zip file.
const int | PRESET_DICT = 0x20
| Header flag indicating a preset dictionary for deflation.
const int | DEFAULT_MEM_LEVEL = 8
| Sets internal buffer sizes for Huffman encoding.
const int | MAX_MATCH = 258
| Internal compression engine constant.
const int | MIN_MATCH = 3
| Internal compression engine constant.
const int | MAX_WBITS = 15
| Internal compression engine constant.
const int | WSIZE = 1 << MAX_WBITS
| Internal compression engine constant.
const int | WMASK = WSIZE - 1
| Internal compression engine constant.
const int | HASH_BITS = DEFAULT_MEM_LEVEL + 7
| Internal compression engine constant.
const int | HASH_SIZE = 1 << HASH_BITS
| Internal compression engine constant.
const int | HASH_MASK = HASH_SIZE - 1
| Internal compression engine constant.
const int | HASH_SHIFT = (HASH_BITS + MIN_MATCH - 1) / MIN_MATCH
| Internal compression engine constant.
const int | MIN_LOOKAHEAD = MAX_MATCH + MIN_MATCH + 1
| Internal compression engine constant.
const int | MAX_DIST = WSIZE - MIN_LOOKAHEAD
| Internal compression engine constant.
const int | PENDING_BUF_SIZE = 1 << (DEFAULT_MEM_LEVEL + 8)
| Internal compression engine constant.
static int | MAX_BLOCK_SIZE = Math.Min(65535, PENDING_BUF_SIZE - 5)
| Internal compression engine constant.
const int | DEFLATE_STORED = 0
| Internal compression engine constant.
const int | DEFLATE_FAST = 1
| Internal compression engine constant.
const int | DEFLATE_SLOW = 2
| Internal compression engine constant.
static int[] | GOOD_LENGTH = { 0, 4, 4, 4, 4, 8, 8, 8, 32, 32 }
| Internal compression engine constant.
static int[] | MAX_LAZY = { 0, 4, 5, 6, 4, 16, 16, 32, 128, 258 }
| Internal compression engine constant.
static int[] | NICE_LENGTH = { 0, 8, 16, 32, 16, 32, 128, 128, 258, 258 }
| Internal compression engine constant.
static int[] | MAX_CHAIN = { 0, 4, 8, 32, 16, 32, 128, 256, 1024, 4096 }
| Internal compression engine constant.
static int[] | COMPR_FUNC = { 0, 1, 1, 1, 1, 2, 2, 2, 2, 2 }
| Internal compression engine constant.

## Detailed Description

This class contains constants used for deflation.

## Member Data Documentation

## ◆ COMPR_FUNC

int [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.COMPR_FUNC = { 0, 1, 1, 1, 1, 2, 2, 2, 2, 2 }
| static

Internal compression engine constant.

## ◆ DEBUGGING

const bool ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.DEBUGGING = false
| static

Set to true to enable debugging.

## ◆ DEFAULT_MEM_LEVEL

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.DEFAULT_MEM_LEVEL = 8
| static

Sets internal buffer sizes for Huffman encoding.

## ◆ DEFLATE_FAST

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.DEFLATE_FAST = 1
| static

Internal compression engine constant.

## ◆ DEFLATE_SLOW

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.DEFLATE_SLOW = 2
| static

Internal compression engine constant.

## ◆ DEFLATE_STORED

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.DEFLATE_STORED = 0
| static

Internal compression engine constant.

## ◆ DYN_TREES

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.DYN_TREES = 2
| static

Identifies dynamic tree in Zip file.

## ◆ GOOD_LENGTH

int [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.GOOD_LENGTH = { 0, 4, 4, 4, 4, 8, 8, 8, 32, 32 }
| static

Internal compression engine constant.

## ◆ HASH_BITS

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.HASH_BITS = DEFAULT_MEM_LEVEL + 7
| static

Internal compression engine constant.

## ◆ HASH_MASK

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.HASH_MASK = HASH_SIZE - 1
| static

Internal compression engine constant.

## ◆ HASH_SHIFT

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.HASH_SHIFT = (HASH_BITS + MIN_MATCH - 1) / MIN_MATCH
| static

Internal compression engine constant.

## ◆ HASH_SIZE

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.HASH_SIZE = 1 << HASH_BITS
| static

Internal compression engine constant.

## ◆ MAX_BLOCK_SIZE

int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MAX_BLOCK_SIZE = Math.Min(65535, PENDING_BUF_SIZE - 5)
| static

Internal compression engine constant.

## ◆ MAX_CHAIN

int [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MAX_CHAIN = { 0, 4, 8, 32, 16, 32, 128, 256, 1024, 4096 }
| static

Internal compression engine constant.

## ◆ MAX_DIST

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MAX_DIST = WSIZE - MIN_LOOKAHEAD
| static

Internal compression engine constant.

## ◆ MAX_LAZY

int [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MAX_LAZY = { 0, 4, 5, 6, 4, 16, 16, 32, 128, 258 }
| static

Internal compression engine constant.

## ◆ MAX_MATCH

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MAX_MATCH = 258
| static

Internal compression engine constant.

## ◆ MAX_WBITS

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MAX_WBITS = 15
| static

Internal compression engine constant.

## ◆ MIN_LOOKAHEAD

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MIN_LOOKAHEAD = MAX_MATCH + MIN_MATCH + 1
| static

Internal compression engine constant.

## ◆ MIN_MATCH

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.MIN_MATCH = 3
| static

Internal compression engine constant.

## ◆ NICE_LENGTH

int [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.NICE_LENGTH = { 0, 8, 16, 32, 16, 32, 128, 128, 258, 258 }
| static

Internal compression engine constant.

## ◆ PENDING_BUF_SIZE

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.PENDING_BUF_SIZE = 1 << (DEFAULT_MEM_LEVEL + 8)
| static

Internal compression engine constant.

## ◆ PRESET_DICT

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.PRESET_DICT = 0x20
| static

Header flag indicating a preset dictionary for deflation.

## ◆ STATIC_TREES

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.STATIC_TREES = 1
| static

Identifies static tree in Zip file.

## ◆ STORED_BLOCK

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.STORED_BLOCK = 0
| static

Written to Zip file to identify a stored block.

## ◆ WMASK

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.WMASK = WSIZE - 1
| static

Internal compression engine constant.

## ◆ WSIZE

const int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterConstants.WSIZE = 1 << MAX_WBITS
| static

Internal compression engine constant.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/Compression/DeflaterConstants.cs